
Redmine - Defect #20468

Clicking on username results in 500 internal error after upgrade

2015-08-04 03:05 - angie brandt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.0

Description

I just made the switch to redmine 3.1.0 and everything works great except for clicking on the username link.

example: http://redmine.dummysite.com/users/90  results in 500 internal error.

Log  below:

Started GET "/users/1" for 104.5.4.92 at 2015-08-04 00:46:11 +0000

Processing by UsersController#show as HTML

  Parameters: {"id"=>"1"}

  Current user: admin (id=1)

Completed 500 Internal Server Error in 31ms (ActiveRecord: 7.4ms)

NoMethodError (undefined method `find_events' for #<Class:0x0000000c0197b0>):

  lib/redmine/activity/fetcher.rb:91:in `block (2 levels) in events'

  lib/redmine/activity/fetcher.rb:90:in `each'

  lib/redmine/activity/fetcher.rb:90:in `block in events'

  lib/redmine/activity/fetcher.rb:89:in `each'

  lib/redmine/activity/fetcher.rb:89:in `events'

  app/controllers/users_controller.rb:75:in `block (2 levels) in show'

  app/controllers/users_controller.rb:73:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2015-08-04 03:06 - angie brandt

To be more specific I upgraded from redmine 1.2.x .

#2 - 2015-08-04 20:28 - angie brandt

- Status changed from New to Resolved

Problem ended up being related to the redmine_pastebin plugin, resolved by uninstalling the other version and using this fork instead: 

https://github.com/florentsolt/redmine_pastebin

#3 - 2015-08-15 16:27 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
